*
* $Id$
*
* $Log$
*
*CMZ :  2.02/00 09/10/2000  15.33.16  by  Francesco Cafagna
*CMZ :  2.01/00 05/04/2000  14.35.17  by  Marialuigia Ambriola
*CMZ :  2.00/00 03/03/2000  15.39.05  by  Francesco Cafagna
*CMZ :  1.00/02 15/03/96  17.52.56  by  Francesco Cafagna
*-- Author :    Francesco Cafagna   02/02/96
      SUBROUTINE GPMAT
************************************************************************
*                                                                      *
* Material Definition for GPAMELA                                      *
*                                                                      *
* Called by: UGINIT                                                    *
* Author: Francesco Cafagna, 02/02/96 17.09.44                         *
*                                                                      *
************************************************************************
#include "gpmat.inc"
C
C           Plastic scintillator
C
      NMSCIN=17
      CALL GSMIXT(NMSCIN,'SCINT$',ASCIN,ZSCIN,DSCIN,-2,WSCIN)
C
C            G10
C
      NMG10 =18
      CALL GSMIXT(NMG10,'G10$',AG10,ZG10,DG10,-2,WG10)
C
C            N2 Gas
C
      NMN2 =19
      CALL GSMATE(NMN2,'N2GAS$',AN2G,ZN2G,DN2G,RN2G,RN2G,0.,0)
C
C            Silicon Tracker and Calo
C
      NMSITR =20
      CALL GSMATE(NMSITR,'SILICON TR$',ASI,ZSI,DSI,RSI,RSI,0.,0)
      NMSICA =21
      CALL GSMATE(NMSICA,'SILICON CA$',ASI,ZSI,DSI,RSI,RSI,0.,0)
C
C            Xenon
C
      NMXE =22
      CALL GSMATE(NMXE,'XENON$',AXE,ZXE,DXE,RXE,RXE,0.,0)
C
C            TRD radiator
C
      NMTRAD =23
      CALL GSMATE(NMTRAD,'TRDRAD$',ATRAD,ZTRAD,DTRAD,RTRAD,RTRAD,0.,0)
C
C            AEROGEL
C
      NMAER =24
      CALL GSMATE(NMAER,'AEROGEL$',AAER,ZAER,DAER,RAER,RAER,0.,0)
*EM:
C
C            TUNGSTEN MIXTURE FOR CALORIMETER
C
      NMWCAL =25	
      CALL GSMIXT(NMWCAL,'TUNGA$',AWCAL,ZWCAL,DWCAL,-3,WWCAL)
C
C 	     CERAMIC MIXTURE FOR CALORIMETER
C
      NMCERA =26	
      CALL GSMIXT(NMCERA,'CERAMIC$',ACERA,ZCERA,DCERA,4,WCERA)
C
C            G10 for Calorimeter
C
      NMG10C =27
      CALL GSMIXT(NMG10C,'G10C$',AG10C,ZG10C,DG10C,4,WG10C)
*END EM.
C
C User action
C
      CALL GPUMAT
C
      RETURN
      END
